Package com.xebialabs.xlrelease.api.v1.filter

## Class WorkflowFilters

- java.lang.Object
- - com.xebialabs.xlrelease.api.v1.filter.WorkflowFilters

-     public class WorkflowFilters
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WorkflowFilters()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getAuthor()` |
    `java.util.Set<java.lang.String>` | `getCategories()` |
    `java.lang.String` | `getFolderId()` |
    `WorkflowOrderMode` | `getOrderMode()` |
    `java.lang.String` | `getSearchInput()` |
    `java.util.Set<ReleaseStatus>` | `getStatuses()` |
    `void` | `setAuthor​(java.lang.String author)` |
    `void` | `setCategories​(java.util.Set<java.lang.String> categories)` |
    `void` | `setFolderId​(java.lang.String folderId)` |
    `void` | `setOrderMode​(WorkflowOrderMode orderMode)` |
    `void` | `setSearchInput​(java.lang.String searchInput)` |
    `void` | `setStatuses​(java.util.Set<ReleaseStatus> statuses)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WorkflowFilters

          public WorkflowFilters()

  - ### Method Detail

    - #### getSearchInput

          public java.lang.String getSearchInput()

    - #### setSearchInput

          public void setSearchInput​(java.lang.String searchInput)

    - #### getAuthor

          public java.lang.String getAuthor()

    - #### setAuthor

          public void setAuthor​(java.lang.String author)

    - #### getCategories

          public java.util.Set<java.lang.String> getCategories()

    - #### setCategories

          public void setCategories​(java.util.Set<java.lang.String> categories)

    - #### getFolderId

          public java.lang.String getFolderId()

    - #### setFolderId

          public void setFolderId​(java.lang.String folderId)

    - #### getStatuses

          public java.util.Set<ReleaseStatus> getStatuses()

    - #### setStatuses

          public void setStatuses​(java.util.Set<ReleaseStatus> statuses)

    - #### getOrderMode

          public WorkflowOrderMode getOrderMode()

    - #### setOrderMode

          public void setOrderMode​(WorkflowOrderMode orderMode)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`